Get a commission token
Receiving a commission token to withdraw an orphan transaction
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
idstringRequiredExample:
Transaction ID in the system
522c9835-7b05-4f83-8bf6-0e9abd4e3841Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/orphan-deposits/withdrawal-token
POST /api-gateway/orphan-deposits/withdrawal-token HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"id": "522c9835-7b05-4f83-8bf6-0e9abd4e3841"
}200Success
{
"success": true,
"response": {
"currency": "BNB",
"network": "ethereum",
"feeSource": "ADVANCE",
"blockchainFee": "0.00042",
"blockchainFeeUSD": "0.063",
"serviceFee": "0.01",
"serviceFeeUSD": "0.01",
"amount": {
"type": "string",
"example": "0.00612",
"description": "Transaction amount"
},
"amountTo": {
"type": "string",
"example": "0.00612",
"description": "Transaction amount"
},
"price": "1.1234",
"token": "U2FsdGVkX19V7OXKLA6tM5K89Euyw6aXXvSdIakgbBL0NYV5XnFjRQ4oY8ghVH3+pq4JOQTZYkZJonkAzCud2ButLBCT8FBgUsWfaJPPJb1mJKyRnUDymCxeCvZqjV7J+mP8ykaXT77s6uAJE17Yk3Ua34ckBaKnqBSDleOPHdnioi+Pic4PRbM8OdRZfH/l/ZBHqlQPFHaY7O1KTUS83w==",
"expires": "2026-01-29T11:14:13.682Z"
}
}Last updated